Skip to content

Provisioning API (1.2.36)

Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com

Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The webhooks endpoint lets you create, update, and delete webhooks programmatically.

Operations

WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

Operations

WhatsApp

he WhatsApp endpoint enables programmatic login to your WhatsApp account and retrieval of its details.

Operations

WhatsApp Flows

The WhatsApp flows endpoint lets you retrieve and manage WhatsApp Flows associated with the project.

Operations

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

Operations

Create sender for projectGA

Request

Creates a sender for a project. The possible combinations of region, business manager and hosting type are the following

RegionSINCH_BRSINCH_MXSINCH_UK
BREmbedded (ES)✅ Supported✅ Supported❌ Unsupported
Partner-initiated✅ Supported✅ Supported❌ Unsupported
EUEmbedded (ES)❌ Unsupported❌ Unsupported✅ Supported
Partner-initiated❌ Unsupported❌ Unsupported✅ Supported
USEmbedded (ES)✅ Supported✅ Supported✅ Supported
Partner-initiated✅ Supported✅ Supported✅ Supported
Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Sender data

Any of:
wabaIdstringrequired

WhatsApp Business Account that will be connected to the created sender. If left empty, we will try to find the WhatsApp Business Account using your projectId.

phoneNumberIdstringrequired

Phone number ID linked to the WhatsApp Business Account.

regionstring

Region sender is provisioned in. If not provided, default region for the country set in the billing account will be used. For partner-initiated accounts, the value set for WhatsApp account will be used.

Enum"BR""EU""US"
metaLocalStoragestring

Region sender store the data in Meta. If not provided, the default value set for the chosen region will be used.

Enum"AE""AU""BH""BR""CA""CH""DE""GB""ID""IN"
businessManagerstring

Business manager.

Enum"SINCH_BR""SINCH_MX""SINCH_UK"
authenticationCodestringnon-empty

Single-use access code.

curl -i -X POST \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "region": "EU",
    "metaLocalStorage": "DE",
    "wabaId": "11111111111111",
    "phoneNumberId": "222222222222222",
    "authenticationCode": "123asdf123"
  }'

Responses

Sender

Bodyapplication/json
idstringrequired

The unique ID of the sender.

regionstringrequired

Region sender is provisioned in.

Enum"BR""EU""US""UNRECOGNIZED"
metaLocalStoragestringrequired

Region sender store the data in Meta.

Enum"AE""AU""BH""BR""CA""CH""DE""GB""ID""IN"
businessManagerstringrequired

Business manager.

Enum"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
compatibleRegionsArray of strings(WhatsappRegions)uniquerequired

Conversation API app regions the sender can be used for.

Items Enum"br""eu""us"
statestring

The current state of the sender.

Enum"ACTIVE""IN_PROGRESS""INACTIVE""PENDING_VERIFICATION""SUSPENDED""ERROR"
changesobject

Any pending changes to the sender.

detailsobject

Sender details and information.

conversationApiAppDetailsobject

If set, the details of the Conversation API App the sender is connected to.

maxTpsnumber

Maximum sender TPS.

qualityRatingstring

Current quality rating of the sender.

Enum"GREEN""RED""YELLOW""UNKNOWN""UNRECOGNIZED"
dailyLimitstring

Current daily message limit of the sender.

Enum"NOT_SET""TIER_100K""TIER_10K""TIER_1K""TIER_250""TIER_2K""TIER_50""TIER_UNLIMITED""UNRECOGNIZED"
bearerTokenstring

Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

createdstring

The UTC Date Time in ISO 8601 for when the sender was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the sender was last modified.

countryCodestring

Country code of sender phone number.

phoneNumberstring

Sender phone number without country code.

numberProviderstring

Provider for phone number.

Enum"CUSTOMER""SINCH""UNRECOGNIZED"
cloudApibooleanDeprecatedrequired

True if the sender is hosted in WhatsApp Cloud API.

conversationApiAppstringDeprecated

If set, the Conversation API App ID the sender is connected to.

wabaBanStatestringDeprecated

Please use get account endpoint for this information.

Enum"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
wabaBanDatestringDeprecated

Please use get account endpoint for this information.

Response
application/json
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "changes": { "status": "IN_PROGRESS", "details": {} }, "created": "2023-01-19T13:11:08.204Z", "modified": "2023-01-19T13:11:08.204Z", "region": "EU", "metaLocalStorage": "DE", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU" }, "maxTps": 10, "qualityRating": "GREEN", "dailyLimit": "NOT_SET", "bearerToken": "aaaaAAAA.bbbbBBBB.ccccCCCC", "cloudApi": true, "countryCode": "48", "phoneNumber": "777777777", "numberProvider": "CUSTOMER", "businessManager": "SINCH_UK", "compatibleRegions": [ "eu", "us" ] }

Callbacks

Comment on sender
post
Sender completed
post
Sender inactive
post
Sender in pending verification
post
Sender in rejected
post
Sender in error
post
Daily limit changed for Sender
post
Quality rating changed for Sender
post

Get sender for projectGA

Request

Returns a sender for a project.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Sender

Bodyapplication/json
idstringrequired

The unique ID of the sender.

regionstringrequired

Region sender is provisioned in.

Enum"BR""EU""US""UNRECOGNIZED"
metaLocalStoragestringrequired

Region sender store the data in Meta.

Enum"AE""AU""BH""BR""CA""CH""DE""GB""ID""IN"
businessManagerstringrequired

Business manager.

Enum"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
compatibleRegionsArray of strings(WhatsappRegions)uniquerequired

Conversation API app regions the sender can be used for.

Items Enum"br""eu""us"
statestring

The current state of the sender.

Enum"ACTIVE""IN_PROGRESS""INACTIVE""PENDING_VERIFICATION""SUSPENDED""ERROR"
changesobject

Any pending changes to the sender.

detailsobject

Sender details and information.

conversationApiAppDetailsobject

If set, the details of the Conversation API App the sender is connected to.

maxTpsnumber

Maximum sender TPS.

qualityRatingstring

Current quality rating of the sender.

Enum"GREEN""RED""YELLOW""UNKNOWN""UNRECOGNIZED"
dailyLimitstring

Current daily message limit of the sender.

Enum"NOT_SET""TIER_100K""TIER_10K""TIER_1K""TIER_250""TIER_2K""TIER_50""TIER_UNLIMITED""UNRECOGNIZED"
bearerTokenstring

Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

createdstring

The UTC Date Time in ISO 8601 for when the sender was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the sender was last modified.

countryCodestring

Country code of sender phone number.

phoneNumberstring

Sender phone number without country code.

numberProviderstring

Provider for phone number.

Enum"CUSTOMER""SINCH""UNRECOGNIZED"
cloudApibooleanDeprecatedrequired

True if the sender is hosted in WhatsApp Cloud API.

conversationApiAppstringDeprecated

If set, the Conversation API App ID the sender is connected to.

wabaBanStatestringDeprecated

Please use get account endpoint for this information.

Enum"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
wabaBanDatestringDeprecated

Please use get account endpoint for this information.

Response
application/json
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "state": "ACTIVE", "details": { "displayName": "Test name", "description": "Test description", "vertical": "PROFESSIONAL_SERVICES", "email": "test@test.com", "address": "Test address", "about": "Test about", "websiteOne": "https://example-1.com", "photoUrl": "https://example.com/photos/1.png" }, "created": "2023-01-19T13:11:08.204Z", "modified": "2023-01-19T13:11:08.204Z", "region": "EU", "metaLocalStorage": "DE", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU" }, "maxTps": 10, "qualityRating": "GREEN", "dailyLimit": "NOT_SET", "bearerToken": "aaaaAAAA.bbbbBBBB.ccccCCCC", "cloudApi": true, "countryCode": "48", "phoneNumber": "777777777", "numberProvider": "CUSTOMER", "businessManager": "SINCH_UK", "compatibleRegions": [ "eu", "us" ] }

Delete sender for projectGA

Request

Marks a sender for removal. Once requested the sender will be active for 30 days to send final messages. After 30 days it will be removed.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

curl -i -X DELETE \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Sender deleted

Response
No content

WhatsApp Solutions

The WhatsApp solutions endpoint offers a way for you to manage your WhatsApp solutions.

Operations

WhatsApp Templates

The WhatsApp template endpoint offers a way for you to manage your WhatsApp templates that can be used with the Conversation API. The WhatsApp templates are a requirement to send the initial outbound messages in the WhatsApp API.

Operations

Bundles

The bundles endpoint allows you to create and manage bundles of account resources.

Operations

KakaoTalk Categories

The KakaoTalk categories endpoint offers a way for you to manage all of the KakaoTalk template categories that you can use with the Conversation API.

Operations

KakaoTalk Senders

The KakaoTalk sender endpoint offers a way for you to manage your KakaoTalk senders that can be used with the Conversation API.

Operations

KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

Operations

Conversation

The Conversation endpoints allows you to retrieve information about channels used with Conversation API.

Operations

RCS Accounts

Operations

RCS Questionnaire

Operations

RCS Senders

Operations